Subject: linux-next: build failure after merge of the net tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 3 May 2010 12:08:47 +1000

Hi Dave,

After merging the net tree, today's linux-next build (x86_64
allmodconfig) failed like this:

net/sctp/socket.c: In function 'sctp_data_ready':
net/sctp/socket.c:6191: error: implicit declaration of function 'sk_has_sleeper'
net/sctp/socket.c:6192: error: 'struct sock' has no member named 'sk_sleep'

Caused by commit 43815482370c510c569fd18edb57afcb0fa8cab6 ("net:
sock_def_readable() and friends RCU conversion") interacting with commit
561b1733a465cf9677356b40c27653dd45f1ac56 ("sctp: avoid irq lock inversion
while call sk->sk_data_ready()") which entered Linus' tree on April 29.

I have used the net tree from next-20100430 for today.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/